[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: what to do with the ocaml metapackage

On Thu, Dec 09, 2004 at 05:00:17PM +0100, Stefano Zacchiroli wrote:
> The ocaml metapackage meta-ocaml is currently not in testing. This is
> due to the following chain:
>   meta-ocaml depends on ocamldbi
>   ocamldbi depends (among other) on perl4caml
>   perl4caml is buggy (segfaults on archs other than i386, ppc at least)
> We can solve the problem with one of the two:
> 1) drop the dependency meta-ocaml -> ocamldbi
> 2) drop the dependency ocamldbi -> perl4caml
> I'm for (2) since I do not see in a near future a solution for the
> perl4caml buggyness. This will also permit ocamldbi to enter testing.

It seems reasonable. John, i am in favor of that also, do you have any
comments ? We can reupload a perl4caml dependent ocamldbi once sarge is our of
the way.


Sven Luther

Reply to: